import re 
import common
from System.Collections.Generic import List
from System import Byte, Int32
#
def FindPets():
    pets = []
    pet_filter = Mobiles.Filter()
    pet_filter.Enabled = True
    pet_filter.RangeMin = -1
    pet_filter.RangeMax = 10
    pet_filter.Notorieties = List[Byte](bytes([1, 2]))
    potentialPets = Mobiles.ApplyFilter(pet_filter)
    for potentialPet in potentialPets:    
        #
        props = Mobiles.GetPropStringList(potentialPet)
        for p in props:
            prop = str(p)
            #Misc.SendMessage(prop)
            ownerMatch = re.search("Owner: ({}).*".format(Player.Name), prop)
            if ownerMatch:                
                pets.append(potentialPet)
            bonded = re.search("bonded", prop)
            if bonded:                
                pets.append(potentialPet)
                
    return pets 
#

for pet in FindPets():
    Veggy = Items.FindByID(0x0C7B, 0, Player.Backpack.Serial)
    Meat = Items.FindByID(0x09F1, 0, Player.Backpack.Serial)
    Mobiles.Message(pet, 55, "Feeding")
    if Meat:
        Items.Move(Meat, pet, 1)
    if Veggy:    
        Items.Move(Veggy, pet, 1)
    Misc.Pause(10 * 60 * 1000)